owners:
- mcnee@chromium.org
- file://components/guest_view/OWNERS

caption: Restore permissive Chrome Apps <ph name="WEBVIEW_TAG_NAME">&lt;webview&gt;</ph> behavior

desc: |-
  Chrome Apps <ph name="WEBVIEW_TAG_NAME">&lt;webview&gt;</ph> allows for
  behavior which is in the process of being removed from
  <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph>.

  The previous behavior allows the
  <ph name="WEBVIEW_TAG_NAME">&lt;webview&gt;</ph>
  <ph name="NEWWINDOW_EVENT_NAME">newwindow</ph> event
  (https://developer.chrome.com/docs/extensions/reference/webviewTag/#event-newwindow)
  to attach the new window to a <ph name="WEBVIEW_TAG_NAME">&lt;webview&gt;</ph>
  element in a separate App window from the originating
  <ph name="WEBVIEW_TAG_NAME">&lt;webview&gt;</ph>. With the new behavior, this
  attachment is still allowed, however the window reference returned from the
  call to <ph name="WINDOW_OPEN_NAME">window.open</ph> in the originating
  <ph name="WEBVIEW_TAG_NAME">&lt;webview&gt;</ph> is invalidated.

  If enabled, the previous behavior is used.
  If disabled or unset, the behavior change takes effect as it is rolled
  out through the <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph>
  release process.

  This policy is a temporary workaround in the event that enterprises
  experience breakage due to this change. This policy will be removed
  in version 122.

# On ChromeOS, this policy should reach an LTS release before being removed.
# TODO(crbug.com/1261928): The supported_on range is intended to be 113-121,
# but until_version doesn't allow future versions. In M122, set the
# until_version and remove the supporting code.
supported_on:
- chrome.*:113-
- chrome_os:113-
- fuchsia:113-

supported_chrome_os_management: ['google_cloud', 'active_directory']

# While this policy on its own could be dynamic, the GuestView MPArch
# migration (crbug.com/1261928), which depends on this policy being disabled,
# would not be able to handle dynamic changes.
features:
  dynamic_refresh: false
  per_profile: true

type: main

schema:
  type: boolean

items:
- caption: Restore permissive behavior.
  value: true
- caption: Behavior changes may take effect depending on feature launch process.
  value: false

default: false

example_value: false

tags:
- system-security
